Docs

Get a budget

GET /api/v1/programmatic/budgets/{id}

GET/api/v1/programmatic/budgets/{id}
Budgetsv1budgets:read

Returns one budget with status for the requested period date.

Parameters

NameInType Description
idpathstringRequired <id>
period_datequerystringOptional 2026-07-12

Code examples

curl --request GET \
  --url 'https://api.tetri.app/api/v1/programmatic/budgets/<id>?period_date=2026-07-12' \
  --header 'Authorization: Bearer $TETRI_API_TOKEN'

Responses

200Request completed successfully.
{
  "data": {
    "type": "budgets",
    "id": "<uuid>",
    "attributes": {
      "name": "Groceries",
      "active": true,
      "period": "monthly",
      "rollover_strategy": "carry",
      "pacing_strategy": "linear",
      "include_recurring_transactions": false,
      "accent_color": "sky",
      "icon": "lucide:shopping-cart",
      "icon_url": "https://cdn.tetri.app/icons/abc.webp",
      "currency_id": "<uuid>",
      "version": 0,
      "currency": {
        "id": "<uuid>",
        "code": "USD",
        "symbol": "$",
        "decimal_places": 2
      },
      "amount": "500.00",
      "base_amount": "500.00",
      "order": 0,
      "created_at": "2026-07-12T12:00:00Z",
      "category_ids": [
        "<uuid>"
      ],
      "categories": [
        {
          "id": "<uuid>",
          "name": "Groceries",
          "icon": "shopping-cart",
          "accent_color": "emerald"
        }
      ],
      "current_period": {}
    }
  }
}
401The access token is missing, invalid, expired, or revoked.
403The token does not have the required scope or workspace access.
429The credential has exceeded its request limit.